Home | Download | Discussion | Help | Site Map | New Posts | Sign in
Replies: 192 (Who?), Viewed: 88253 times.
Page 8 of 8
Test Subject
#176 Old 5th Apr 2014 at 6:15 PM
trying to install old version of Blender 2.63
(D: dang, I can't even deselect vertices with rectangular selection tool. Dunno if it is originally like that)

hope you make update for 2.70, I am good with 2.70
btw, good work.
Test Subject
#177 Old 9th May 2014 at 9:19 PM
Quote:
Originally Posted by lukavminaev
I can't even deselect vertices with rectangular selection tool. Dunno if it is originally like that
Yes, that is standard behavior. AFAIK there is no modifier key (shift, alt, whatever) that will make it subtract from, instead of adding to, the selection. What does work, however, is to invert the selection (so that all vertices that were not selected are now selected, and vice versa), select the vertices you want to deselect, and invert the selection again.
Test Subject
DELETED POST
30th May 2014 at 6:42 PM
This message has been deleted by lozzy2000.
Test Subject
#178 Old 30th May 2014 at 6:45 PM
Default Me too
I'm getting this with everything :/
Lab Assistant
#179 Old 8th Jul 2014 at 7:07 PM
Hello guys, I installed and reinstalled Blender but everytime I try to import a simgeom I get this error:





What am I doing wrong? I have Blender 2.63, installed the addon but I get this error everytime :'//

♘ visit my world famous tumblr here hehehee
Test Subject
#180 Old 19th Jul 2014 at 3:24 AM
Quote:
Originally Posted by trap lorde
Hello guys, I installed and reinstalled Blender but everytime I try to import a simgeom I get this error:



What am I doing wrong? I have Blender 2.63, installed the addon but I get this error everytime :'//


I don't know but I am using an older version of the geom because the new one for some reason doesn't work for me!

I think that's the one (if not tell me because I got lots of old file flying around and I am not sure if that's the correct one so try it):
http://www.mediafire.com/download/w...io_TS3_geom.rar

works on 2.6 blender
Moderator
staff: moderator DELETED POST
26th Aug 2014 at 1:13 PM
This message has been deleted by MaclimesZero.
Test Subject
#181 Old 5th Oct 2014 at 4:56 AM
Quote:
Originally Posted by cmomoney
Hi Twi!

You have to go to File->User Preferences. Then Click the AddOns Tab, and in the search box in the top left corner type 'rig'. Then you should see 'Import-Export: Sims 3 RIG Editor. Click the check box next to it to enable the rig editor.


hi, i'm search the box but it i didn't see Import-Export: Sims 3 RIG Editor, what's the problem?
i did install io_TS3_geom.zip
sorry i'm just a beginner.
Test Subject
#182 Old 7th Oct 2014 at 8:04 PM
keep getting error trying to import ym tank into blender
hi, ive been waiting for this, great work guys, but i cant get it to import into blender, at all, i keep getting errors, here's my screenshot.



any assistance will be great, i cant stand having a female sized tank on my muscular hiphop themed sims.

my specs are...
8gb ram 1600mhz
ati amd radeon hd 7770 ghz ver
i5 3570k ivy bridge
Lab Assistant
#183 Old 27th Oct 2014 at 9:15 PM Last edited by indigoskycaller : 27th Oct 2014 at 9:27 PM.
I have red all answers, and did almost everything other pleople suggested (what I didn't do I didn't do because there are no such options in my blender *like 'save as default'*) but this error keeps poping up.
It's driving me crazy. Like... JFC.




Edit: I've uninstalled it and installed the 2.63 version. Did everything I had to do, and this is the error.




Tried with 2.60 ver, it doesn't even allow me to enable the add-on.
Lab Assistant
#184 Old 27th Oct 2014 at 9:37 PM
Quote:
Originally Posted by abd123
I don't know but I am using an older version of the geom because the new one for some reason doesn't work for me!

I think that's the one (if not tell me because I got lots of old file flying around and I am not sure if that's the correct one so try it):
http://www.mediafire.com/download/w...io_TS3_geom.rar

works on 2.6 blender


It is not, blender doesn't recognize it.
Test Subject
#185 Old 28th Oct 2014 at 10:08 AM Last edited by ClarkDavis : 28th Oct 2014 at 1:25 PM.
Hey, I get an error :-) hooray

I clone a piece of clothing with S3OC (tried many stock clothes, af, am, cu) and extract the geom with S3PE or CTU (no difference).
I get the simgeo files and when I try to import with the rig editor active, I get the first error message.
I tried with the editor not installed and the message changed :-)

Keep up the good work (and spirit ;-) )

Rig editor active:
Screenshots
Test Subject
#186 Old 29th Oct 2014 at 3:11 AM
Just found out, that the problem was indeed the blender version.
I think it should be mentioned in the installation process. That would be really fair and spared me a lot of reading.
Btw, 2.63 64bit seems fine .-)
Test Subject
#187 Old 29th Oct 2014 at 11:37 PM Last edited by bravesims : 30th Oct 2014 at 3:49 AM.
So this doesn't work on Blender versions beyond 2.63?

edit: Well, after having spent hours scraping to get Blender and .geom files to get along, it seems I'm officially downgrading to Milkshape.
Test Subject
#188 Old 1st Nov 2014 at 12:41 AM Last edited by ClarkDavis : 2nd Nov 2014 at 1:19 AM.
Default Oh no, MS :-)
I kind of agree,
I am still stuck with the alpha meshes for clothing but tried the change to Milkshape and I just can't do it. Using an old version of blender also feels wrong.
Don't laugh, but at the moment I import geom in Milkshape, esport as ms3d, import that in to blender, make my edits in a sec :-), and geuss what, yeah. Esport to ms3d, import in MS and export as geom again.
It is crazy and I still hope I will find another solution that lets me use blender.


P.S.: This is NOT Milkshape bashing. I am just very used to blender and every other program doesn't feel as comfortable to me.

[Edit:] No more! Back to blender, latest version, feeling good
Test Subject
#189 Old 1st Nov 2014 at 1:13 AM Last edited by ClarkDavis : 2nd Nov 2014 at 1:20 AM.
Default Again
Does anyone use this plugin?
Please anybody, if you are succesfully and reproducably im- and exporting sim3 geoms to and from blender, please answer

What blender version do you use?

I had it working, tried how far I could go with the versions and now I am left with an even nonworking new install of blender 2.63a
Yeah yeah, I know, the problem usually is between chair and screen, and I just have to clean up everything completely. My best guess at the moment is, that most of the error messages come from the differing python version. If I got it right, blender changed not only the addon system itself, which led to the incompatibility of a couple of addons, but it also changed how it is accessing python and what version of python it uses. I am very confused at the moment and just wanted to make a sexy little miniskirt with no undies to tell the truth :-)
Real geek, I know. And now I am sitting on that thing for days now, learning so much about blender, UV mappings, LODs and all that amazingly interesting stuff that makes the world play games.

What a planet

[Edit:] ME! me mememe! I am using it :-) (And yes, I enjoy talking to myself online )
Test Subject
#190 Old 2nd Nov 2014 at 1:14 AM
Finally, blender 2.72 mesh editing
Interesting:
I just managed to manipulate a mesh with blender 2.72 (!) and succesfully created a (multi-mesh, not the description here *muahahaha*!) package that is showing fine so far in CAS.

What I did (well, only the parts that work, I spare you the 99% rest )
  • Create clone package of a CAS clothiing part with S3OC
  • open the package with CTU and "extract meshes" (export the simgeom files)
  • open the simgeom for LOD 1 in blender
  • do my edits
  • save new simgeom (super weird! Have to select the original file. it get's renamed to .bak and the updated file will have the same name as the original)
  • open original package with S3PE and replace the correct geo entry (IDs are my friend ) with the new simgeom
  • save package from within S3PE
  • Play!

There are a couple of crucial points here that many of the writers before (including me) discovered.
To get the plugin into blender correctly depends heavily on your blender version AND what pyhton version it uses.
My setup is:
  • Windows 7 x64
  • Blender 2.72b
  • io_s3py_animation-1.60.zip
  • sim-rigs-1.60.zip
  • MTS_cmomoney_1278180_io_TS3_geom.zip (that means version 1.2 in the py file (line 4))
  • MTS_cmomoney_1320330_io_TS3_rig.zip (v0.2)
  • S3OC (v?)
  • S3PE (v?)
  • CasTextureUnitool (aka CTU)
    did I forget something, oh, yes: The Sims 3

Caveats
  • When I first imported, I got an error message essentially saying:
    Code:

    File "C:\Users\xx\AppData\Roaming\Blender Foundation\Blender\2.72\scripts\addons\io_TS3_rig.py", line 335, in parsefile
    rig.data.use_deform_envelopes = False
    AttributeError: 'Armature' object has no attribute 'use_deform_envelopes'

    When I try again, blender gets really angry and crashes (the process terminates).
    Ignorant me - just comment the line 335 in the file io_TS3_rig.py so it looks like this
    Code:

    #rig.data.use_deform_envelopes = False
  • When I tried to export the mesh, blender freezes. The process is still there, but never returns (well, I didn't wait infinitely long, so it is an approximative assumption )
    Stupid me - I didn't select the original file for export, but entered a completely new name.
  • Ok, I got it, I really have to point to the original file when exporting and do the *.bak-stuff.
    So I export, this time pointing to the original file aaaaaand.....:
    Code:
      
    File "C:\Users\xx\AppData\Roaming\Blender Foundation\Blender\2.72\scripts\addons\io_TS3_geom.py", line 739, in exportfile
    ent = inds[i], co_list[i]
    IndexError: list index out of range

    Again. Stupid me (and yes, I can take a lot of that ): Leave the edit mode by going to object mode and select the correct mesh and only that.
    Oh wonders of technology and how they work (If I just follow the instructions )
  • This one I saw comming and just put it here for the sufficiency of the post:
    Code:

    File "C:\Users\xx\AppData\Roaming\Blender Foundation\Blender\2.72\scripts\addons\io_TS3_geom.py", line 674, in exportfile
    x = struct.unpack('f', f.read(4))[0]
    struct.error: unpack requires a bytes object of length 4

    This time I was in edit mode (which, yes, is wrong) but I selected the mesh.
  • And eventually:
    Code:

    File "C:\Users\xx\AppData\Roaming\Blender Foundation\Blender\2.72\scripts\addons\io_TS3_geom.py", line 646, in exportfile
    nf.write(struct.pack('l', len(obj.data.vertices)))
    AttributeError: 'Armature' object has no attribute 'vertices'

    I had the rig selected and not the mesh.
  • Always have a clean startup file and make the import(s) the first actions(s). It happend to me with all the plugin and blender de-/installing, that I accidentially set a new startup file with a rig or something left in it. I omit the different errormessages.


P.S.: If you are a native AE or BE speaker and have any linguistical suggestions for this post, I would be very interested (pm me) .
P.P.S.: If someone could enlighten me and tell me more about those darn envelopes...
Test Subject
#191 Old 3rd Nov 2014 at 11:05 PM
I'm getting an error message "bpy.ops.rigimporter isn't found
Test Subject
#192 Old 18th Nov 2014 at 2:05 AM Last edited by ClarkDavis : 18th Nov 2014 at 2:21 AM.
Quote:
Originally Posted by Dougsgirl91
I'm getting an error message "bpy.ops.rigimporter isn't found


What blender version? what did you install? in which order? If you could be way more precise, maybe I can help (or you already solved it ;-) )

Usually it just means that the object bpy.ops.rig.importer could not be found, which is defined in the file io_TS3_rig.py
Test Subject
#193 Old 19th Nov 2014 at 11:24 PM
Hello, i can't export simgeom file since i got this error,
Traceback (most recent call last):
File "C:\Users\Myriam\Downloads\blender-2.68a-windows64\2.68\scripts\startup\io_TS3_geom.py", line 492, in execute
self.exportfile()
File "C:\Users\Myriam\Downloads\blender-2.68a-windows64\2.68\scripts\startup\io_TS3_geom.py", line 573, in exportfile
x = struct.unpack('f', f.read(4))[0]
struct.error: unpack requires a bytes object of length 4

location: <unknown location>:-1

what does it means ? :x
Page 8 of 8
Back to top

Section jump